| Cantera 3.0.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
TransportData Class Reference

Base class for transport data for a single species. More...

`#include <TransportData.h>`

Inheritance diagram for TransportData:
[legend]

## Detailed Description

Base class for transport data for a single species.

Definition at line 18 of file TransportData.h.

## Public Member Functions
virtual void | validate (const Species &species)
AnyMap | parameters (bool withInput) const
| Return the parameters such that an identical species transport object could be reconstructed using the newTransportData() function.

## Public Attributes
AnyMap | input
| Input data used for specific models.

## Protected Member Functions
virtual void | getParameters (AnyMap &transportNode) const
| Store the parameters needed to reconstruct a TransportData object.

## Member Function Documentation

## ◆ validate()

virtual void validate | ( | const Species & | species | ) |
| inline virtual

Reimplemented in GasTransportData.

Definition at line 24 of file TransportData.h.

## ◆ parameters()

AnyMap parameters | ( | bool | withInput | ) | const

Return the parameters such that an identical species transport object could be reconstructed using the newTransportData() function.

Behavior specific to derived classes is handled by the getParameters() method.

Parameters

  withInput | If true, include additional input data fields associated with the object, such as user-defined fields from a YAML input file, as stored in the input attribute.

Definition at line 14 of file TransportData.cpp.

## ◆ getParameters()

void getParameters | ( | AnyMap & | transportNode | ) | const
| protected virtual

Store the parameters needed to reconstruct a TransportData object.

Does not include user-defined fields available in input.

Reimplemented in GasTransportData.

Definition at line 24 of file TransportData.cpp.

## Member Data Documentation

## ◆ input

AnyMap input

Input data used for specific models.

Definition at line 35 of file TransportData.h.

The documentation for this class was generated from the following files:

- TransportData.h
- TransportData.cpp